Bug 2974 - Inconsistent Arguments
: Inconsistent Arguments
Status: RESOLVED WONTFIX
: GRAM
wsrf gram clients
: 3.9.5
: PC Linux
: P5 enhancement
: 4.4
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-03-17 09:39 by
Modified: 2012-09-05 11:42 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-17 09:39:36
The globusrun-ws app uses -subject[-authz], -host[-authz], and -self[-authz]
for
specifying the authz type and subject (if using -subject).  This is
inconsistent
with most of the other apps that do this in $GLOBUS_LOCATION/bin.  The majority
consensus seems to be the use of -z instead.  There should at very least be an
extra compatibility option -z if the replacement of the three separate options
is objectionable.

Also, the use of -j for specifying the epr file to read is inconsistent with
most other apps.  The majority consensus on this argument seems to be -e.
------- Comment #1 From 2012-09-05 11:42:34 -------
Doing some bugzilla cleanup...  Resolving old GRAM3 and GRAM4 issues that are
no longer relevant since we've moved on to GRAM5.  Also, we're now tracking
issue in jira.  Any new issues should be added here:

http://jira.globus.org/secure/VersionBoard.jspa?selectedProjectId=10363